<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::IResultCapture Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structCatch_1_1IResultCapture-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::IResultCapture Struct Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3bd16719d6772b7470887fc36c6d0808"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a3bd16719d6772b7470887fc36c6d0808">~IResultCapture</a> ()</td></tr>
<tr class="separator:a3bd16719d6772b7470887fc36c6d0808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b76ed52badcb64cf374202e12b81a03"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a5b76ed52badcb64cf374202e12b81a03">sectionStarted</a> (<a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a> const &amp;sectionInfo, <a class="el" href="structCatch_1_1Counts.html">Counts</a> &amp;assertions)=0</td></tr>
<tr class="separator:a5b76ed52badcb64cf374202e12b81a03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e152bc43dc0933684e31fa67a58195d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a4e152bc43dc0933684e31fa67a58195d">sectionEnded</a> (<a class="el" href="structCatch_1_1SectionEndInfo.html">SectionEndInfo</a> const &amp;endInfo)=0</td></tr>
<tr class="separator:a4e152bc43dc0933684e31fa67a58195d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcc71eef8ca821ae132cced4a2be6988"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#afcc71eef8ca821ae132cced4a2be6988">sectionEndedEarly</a> (<a class="el" href="structCatch_1_1SectionEndInfo.html">SectionEndInfo</a> const &amp;endInfo)=0</td></tr>
<tr class="separator:afcc71eef8ca821ae132cced4a2be6988"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f93a848e0a48b630ca9ecbf225e4817"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a8f93a848e0a48b630ca9ecbf225e4817">acquireGeneratorTracker</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> generatorName, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;lineInfo) -&gt; <a class="el" href="structCatch_1_1IGeneratorTracker.html">IGeneratorTracker</a> &amp;=0</td></tr>
<tr class="separator:a8f93a848e0a48b630ca9ecbf225e4817"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91d154c1e087e383dcde5aad95cb6a05"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a91d154c1e087e383dcde5aad95cb6a05">pushScopedMessage</a> (<a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;message)=0</td></tr>
<tr class="separator:a91d154c1e087e383dcde5aad95cb6a05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42bcb13276706bf8c3ce081ce16d37fd"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a42bcb13276706bf8c3ce081ce16d37fd">popScopedMessage</a> (<a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;message)=0</td></tr>
<tr class="separator:a42bcb13276706bf8c3ce081ce16d37fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49f74f1323ef8be71b8f9b8e8b2c0fc2"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a49f74f1323ef8be71b8f9b8e8b2c0fc2">emplaceUnscopedMessage</a> (<a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a> const &amp;builder)=0</td></tr>
<tr class="separator:a49f74f1323ef8be71b8f9b8e8b2c0fc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48559e6598ba9474b903697b69c769b2"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a48559e6598ba9474b903697b69c769b2">handleFatalErrorCondition</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> message)=0</td></tr>
<tr class="separator:a48559e6598ba9474b903697b69c769b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59a2b05391e464954575d2afb6d5d607"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a59a2b05391e464954575d2afb6d5d607">handleExpr</a> (<a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;info, <a class="el" href="structCatch_1_1ITransientExpression.html">ITransientExpression</a> const &amp;expr, <a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;reaction)=0</td></tr>
<tr class="separator:a59a2b05391e464954575d2afb6d5d607"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21788ebc64571abf322b80c8cc51794d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a21788ebc64571abf322b80c8cc51794d">handleMessage</a> (<a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;info, <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> resultType, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;message, <a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;reaction)=0</td></tr>
<tr class="separator:a21788ebc64571abf322b80c8cc51794d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6382ed20486e2d9a020da971c6d5c53d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a6382ed20486e2d9a020da971c6d5c53d">handleUnexpectedExceptionNotThrown</a> (<a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;info, <a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;reaction)=0</td></tr>
<tr class="separator:a6382ed20486e2d9a020da971c6d5c53d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc97bc69829185222f955ebeef97adfe"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#afc97bc69829185222f955ebeef97adfe">handleUnexpectedInflightException</a> (<a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;info, std::string const &amp;message, <a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;reaction)=0</td></tr>
<tr class="separator:afc97bc69829185222f955ebeef97adfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89b89372eb09cc44f8dcad363de6157d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a89b89372eb09cc44f8dcad363de6157d">handleIncomplete</a> (<a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;info)=0</td></tr>
<tr class="separator:a89b89372eb09cc44f8dcad363de6157d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7dbdf8aa28427119583e24dbb302c63"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#ab7dbdf8aa28427119583e24dbb302c63">handleNonExpr</a> (<a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;info, <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> resultType, <a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;reaction)=0</td></tr>
<tr class="separator:ab7dbdf8aa28427119583e24dbb302c63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a973435fbdcb2f6f07a0ec5719a01e956"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a973435fbdcb2f6f07a0ec5719a01e956">lastAssertionPassed</a> ()=0</td></tr>
<tr class="separator:a973435fbdcb2f6f07a0ec5719a01e956"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0ef2cb071e9a9dc6ec1b533026aea7"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a9b0ef2cb071e9a9dc6ec1b533026aea7">assertionPassed</a> ()=0</td></tr>
<tr class="separator:a9b0ef2cb071e9a9dc6ec1b533026aea7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea1617f4a84cc648246aa3ed6918b5bf"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#aea1617f4a84cc648246aa3ed6918b5bf">getCurrentTestName</a> () const =0</td></tr>
<tr class="separator:aea1617f4a84cc648246aa3ed6918b5bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab18872c89fab97405a56e9c6a4919736"><td class="memItemLeft" align="right" valign="top">virtual const AssertionResult *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#ab18872c89fab97405a56e9c6a4919736">getLastResult</a> () const =0</td></tr>
<tr class="separator:ab18872c89fab97405a56e9c6a4919736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae63ecec95db4c236c63ecf616f483810"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#ae63ecec95db4c236c63ecf616f483810">exceptionEarlyReported</a> ()=0</td></tr>
<tr class="separator:ae63ecec95db4c236c63ecf616f483810"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bd16719d6772b7470887fc36c6d0808"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a3bd16719d6772b7470887fc36c6d0808">~IResultCapture</a> ()</td></tr>
<tr class="separator:a3bd16719d6772b7470887fc36c6d0808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b76ed52badcb64cf374202e12b81a03"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a5b76ed52badcb64cf374202e12b81a03">sectionStarted</a> (<a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a> const &amp;sectionInfo, <a class="el" href="structCatch_1_1Counts.html">Counts</a> &amp;assertions)=0</td></tr>
<tr class="separator:a5b76ed52badcb64cf374202e12b81a03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e152bc43dc0933684e31fa67a58195d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a4e152bc43dc0933684e31fa67a58195d">sectionEnded</a> (<a class="el" href="structCatch_1_1SectionEndInfo.html">SectionEndInfo</a> const &amp;endInfo)=0</td></tr>
<tr class="separator:a4e152bc43dc0933684e31fa67a58195d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcc71eef8ca821ae132cced4a2be6988"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#afcc71eef8ca821ae132cced4a2be6988">sectionEndedEarly</a> (<a class="el" href="structCatch_1_1SectionEndInfo.html">SectionEndInfo</a> const &amp;endInfo)=0</td></tr>
<tr class="separator:afcc71eef8ca821ae132cced4a2be6988"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f93a848e0a48b630ca9ecbf225e4817"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a8f93a848e0a48b630ca9ecbf225e4817">acquireGeneratorTracker</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> generatorName, <a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;lineInfo) -&gt; <a class="el" href="structCatch_1_1IGeneratorTracker.html">IGeneratorTracker</a> &amp;=0</td></tr>
<tr class="separator:a8f93a848e0a48b630ca9ecbf225e4817"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91d154c1e087e383dcde5aad95cb6a05"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a91d154c1e087e383dcde5aad95cb6a05">pushScopedMessage</a> (<a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;message)=0</td></tr>
<tr class="separator:a91d154c1e087e383dcde5aad95cb6a05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42bcb13276706bf8c3ce081ce16d37fd"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a42bcb13276706bf8c3ce081ce16d37fd">popScopedMessage</a> (<a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;message)=0</td></tr>
<tr class="separator:a42bcb13276706bf8c3ce081ce16d37fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49f74f1323ef8be71b8f9b8e8b2c0fc2"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a49f74f1323ef8be71b8f9b8e8b2c0fc2">emplaceUnscopedMessage</a> (<a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a> const &amp;builder)=0</td></tr>
<tr class="separator:a49f74f1323ef8be71b8f9b8e8b2c0fc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48559e6598ba9474b903697b69c769b2"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a48559e6598ba9474b903697b69c769b2">handleFatalErrorCondition</a> (<a class="el" href="classCatch_1_1StringRef.html">StringRef</a> message)=0</td></tr>
<tr class="separator:a48559e6598ba9474b903697b69c769b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59a2b05391e464954575d2afb6d5d607"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a59a2b05391e464954575d2afb6d5d607">handleExpr</a> (<a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;info, <a class="el" href="structCatch_1_1ITransientExpression.html">ITransientExpression</a> const &amp;expr, <a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;reaction)=0</td></tr>
<tr class="separator:a59a2b05391e464954575d2afb6d5d607"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21788ebc64571abf322b80c8cc51794d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a21788ebc64571abf322b80c8cc51794d">handleMessage</a> (<a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;info, <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> resultType, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;message, <a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;reaction)=0</td></tr>
<tr class="separator:a21788ebc64571abf322b80c8cc51794d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6382ed20486e2d9a020da971c6d5c53d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a6382ed20486e2d9a020da971c6d5c53d">handleUnexpectedExceptionNotThrown</a> (<a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;info, <a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;reaction)=0</td></tr>
<tr class="separator:a6382ed20486e2d9a020da971c6d5c53d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc97bc69829185222f955ebeef97adfe"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#afc97bc69829185222f955ebeef97adfe">handleUnexpectedInflightException</a> (<a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;info, std::string const &amp;message, <a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;reaction)=0</td></tr>
<tr class="separator:afc97bc69829185222f955ebeef97adfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89b89372eb09cc44f8dcad363de6157d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a89b89372eb09cc44f8dcad363de6157d">handleIncomplete</a> (<a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;info)=0</td></tr>
<tr class="separator:a89b89372eb09cc44f8dcad363de6157d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7dbdf8aa28427119583e24dbb302c63"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#ab7dbdf8aa28427119583e24dbb302c63">handleNonExpr</a> (<a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;info, <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a> resultType, <a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;reaction)=0</td></tr>
<tr class="separator:ab7dbdf8aa28427119583e24dbb302c63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a973435fbdcb2f6f07a0ec5719a01e956"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a973435fbdcb2f6f07a0ec5719a01e956">lastAssertionPassed</a> ()=0</td></tr>
<tr class="separator:a973435fbdcb2f6f07a0ec5719a01e956"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0ef2cb071e9a9dc6ec1b533026aea7"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#a9b0ef2cb071e9a9dc6ec1b533026aea7">assertionPassed</a> ()=0</td></tr>
<tr class="separator:a9b0ef2cb071e9a9dc6ec1b533026aea7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea1617f4a84cc648246aa3ed6918b5bf"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#aea1617f4a84cc648246aa3ed6918b5bf">getCurrentTestName</a> () const =0</td></tr>
<tr class="separator:aea1617f4a84cc648246aa3ed6918b5bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab18872c89fab97405a56e9c6a4919736"><td class="memItemLeft" align="right" valign="top">virtual const AssertionResult *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#ab18872c89fab97405a56e9c6a4919736">getLastResult</a> () const =0</td></tr>
<tr class="separator:ab18872c89fab97405a56e9c6a4919736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae63ecec95db4c236c63ecf616f483810"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1IResultCapture.html#ae63ecec95db4c236c63ecf616f483810">exceptionEarlyReported</a> ()=0</td></tr>
<tr class="separator:ae63ecec95db4c236c63ecf616f483810"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3bd16719d6772b7470887fc36c6d0808"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bd16719d6772b7470887fc36c6d0808">&#9670;&nbsp;</a></span>~IResultCapture() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IResultCapture::~IResultCapture </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3bd16719d6772b7470887fc36c6d0808"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bd16719d6772b7470887fc36c6d0808">&#9670;&nbsp;</a></span>~IResultCapture() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::IResultCapture::~IResultCapture </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8f93a848e0a48b630ca9ecbf225e4817"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f93a848e0a48b630ca9ecbf225e4817">&#9670;&nbsp;</a></span>acquireGeneratorTracker() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual auto Catch::IResultCapture::acquireGeneratorTracker </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>generatorName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>lineInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> -&gt;  <a class="el" href="structCatch_1_1IGeneratorTracker.html">IGeneratorTracker</a> &amp;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8f93a848e0a48b630ca9ecbf225e4817"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f93a848e0a48b630ca9ecbf225e4817">&#9670;&nbsp;</a></span>acquireGeneratorTracker() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual auto Catch::IResultCapture::acquireGeneratorTracker </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>generatorName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>lineInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> -&gt;  <a class="el" href="structCatch_1_1IGeneratorTracker.html">IGeneratorTracker</a> &amp;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9b0ef2cb071e9a9dc6ec1b533026aea7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b0ef2cb071e9a9dc6ec1b533026aea7">&#9670;&nbsp;</a></span>assertionPassed() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::assertionPassed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9b0ef2cb071e9a9dc6ec1b533026aea7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b0ef2cb071e9a9dc6ec1b533026aea7">&#9670;&nbsp;</a></span>assertionPassed() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::assertionPassed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a49f74f1323ef8be71b8f9b8e8b2c0fc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49f74f1323ef8be71b8f9b8e8b2c0fc2">&#9670;&nbsp;</a></span>emplaceUnscopedMessage() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::emplaceUnscopedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a> const &amp;&#160;</td>
          <td class="paramname"><em>builder</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a49f74f1323ef8be71b8f9b8e8b2c0fc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49f74f1323ef8be71b8f9b8e8b2c0fc2">&#9670;&nbsp;</a></span>emplaceUnscopedMessage() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::emplaceUnscopedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a> const &amp;&#160;</td>
          <td class="paramname"><em>builder</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae63ecec95db4c236c63ecf616f483810"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae63ecec95db4c236c63ecf616f483810">&#9670;&nbsp;</a></span>exceptionEarlyReported() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::exceptionEarlyReported </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae63ecec95db4c236c63ecf616f483810"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae63ecec95db4c236c63ecf616f483810">&#9670;&nbsp;</a></span>exceptionEarlyReported() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::exceptionEarlyReported </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aea1617f4a84cc648246aa3ed6918b5bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea1617f4a84cc648246aa3ed6918b5bf">&#9670;&nbsp;</a></span>getCurrentTestName() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string Catch::IResultCapture::getCurrentTestName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aea1617f4a84cc648246aa3ed6918b5bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea1617f4a84cc648246aa3ed6918b5bf">&#9670;&nbsp;</a></span>getCurrentTestName() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string Catch::IResultCapture::getCurrentTestName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab18872c89fab97405a56e9c6a4919736"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab18872c89fab97405a56e9c6a4919736">&#9670;&nbsp;</a></span>getLastResult() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual const AssertionResult* Catch::IResultCapture::getLastResult </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab18872c89fab97405a56e9c6a4919736"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab18872c89fab97405a56e9c6a4919736">&#9670;&nbsp;</a></span>getLastResult() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual const AssertionResult* Catch::IResultCapture::getLastResult </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a59a2b05391e464954575d2afb6d5d607"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59a2b05391e464954575d2afb6d5d607">&#9670;&nbsp;</a></span>handleExpr() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleExpr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ITransientExpression.html">ITransientExpression</a> const &amp;&#160;</td>
          <td class="paramname"><em>expr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;&#160;</td>
          <td class="paramname"><em>reaction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a59a2b05391e464954575d2afb6d5d607"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59a2b05391e464954575d2afb6d5d607">&#9670;&nbsp;</a></span>handleExpr() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleExpr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ITransientExpression.html">ITransientExpression</a> const &amp;&#160;</td>
          <td class="paramname"><em>expr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;&#160;</td>
          <td class="paramname"><em>reaction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a48559e6598ba9474b903697b69c769b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48559e6598ba9474b903697b69c769b2">&#9670;&nbsp;</a></span>handleFatalErrorCondition() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleFatalErrorCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a48559e6598ba9474b903697b69c769b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48559e6598ba9474b903697b69c769b2">&#9670;&nbsp;</a></span>handleFatalErrorCondition() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleFatalErrorCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a89b89372eb09cc44f8dcad363de6157d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89b89372eb09cc44f8dcad363de6157d">&#9670;&nbsp;</a></span>handleIncomplete() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleIncomplete </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a89b89372eb09cc44f8dcad363de6157d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89b89372eb09cc44f8dcad363de6157d">&#9670;&nbsp;</a></span>handleIncomplete() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleIncomplete </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a21788ebc64571abf322b80c8cc51794d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21788ebc64571abf322b80c8cc51794d">&#9670;&nbsp;</a></span>handleMessage() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td>
          <td class="paramname"><em>resultType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;&#160;</td>
          <td class="paramname"><em>reaction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a21788ebc64571abf322b80c8cc51794d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21788ebc64571abf322b80c8cc51794d">&#9670;&nbsp;</a></span>handleMessage() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td>
          <td class="paramname"><em>resultType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> const &amp;&#160;</td>
          <td class="paramname"><em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;&#160;</td>
          <td class="paramname"><em>reaction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab7dbdf8aa28427119583e24dbb302c63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7dbdf8aa28427119583e24dbb302c63">&#9670;&nbsp;</a></span>handleNonExpr() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleNonExpr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td>
          <td class="paramname"><em>resultType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;&#160;</td>
          <td class="paramname"><em>reaction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab7dbdf8aa28427119583e24dbb302c63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7dbdf8aa28427119583e24dbb302c63">&#9670;&nbsp;</a></span>handleNonExpr() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleNonExpr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601ef">ResultWas::OfType</a>&#160;</td>
          <td class="paramname"><em>resultType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;&#160;</td>
          <td class="paramname"><em>reaction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6382ed20486e2d9a020da971c6d5c53d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6382ed20486e2d9a020da971c6d5c53d">&#9670;&nbsp;</a></span>handleUnexpectedExceptionNotThrown() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleUnexpectedExceptionNotThrown </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;&#160;</td>
          <td class="paramname"><em>reaction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6382ed20486e2d9a020da971c6d5c53d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6382ed20486e2d9a020da971c6d5c53d">&#9670;&nbsp;</a></span>handleUnexpectedExceptionNotThrown() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleUnexpectedExceptionNotThrown </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;&#160;</td>
          <td class="paramname"><em>reaction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afc97bc69829185222f955ebeef97adfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc97bc69829185222f955ebeef97adfe">&#9670;&nbsp;</a></span>handleUnexpectedInflightException() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleUnexpectedInflightException </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;&#160;</td>
          <td class="paramname"><em>reaction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afc97bc69829185222f955ebeef97adfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc97bc69829185222f955ebeef97adfe">&#9670;&nbsp;</a></span>handleUnexpectedInflightException() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::handleUnexpectedInflightException </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string const &amp;&#160;</td>
          <td class="paramname"><em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1AssertionReaction.html">AssertionReaction</a> &amp;&#160;</td>
          <td class="paramname"><em>reaction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a973435fbdcb2f6f07a0ec5719a01e956"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a973435fbdcb2f6f07a0ec5719a01e956">&#9670;&nbsp;</a></span>lastAssertionPassed() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IResultCapture::lastAssertionPassed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a973435fbdcb2f6f07a0ec5719a01e956"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a973435fbdcb2f6f07a0ec5719a01e956">&#9670;&nbsp;</a></span>lastAssertionPassed() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IResultCapture::lastAssertionPassed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a42bcb13276706bf8c3ce081ce16d37fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42bcb13276706bf8c3ce081ce16d37fd">&#9670;&nbsp;</a></span>popScopedMessage() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::popScopedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a42bcb13276706bf8c3ce081ce16d37fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42bcb13276706bf8c3ce081ce16d37fd">&#9670;&nbsp;</a></span>popScopedMessage() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::popScopedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a91d154c1e087e383dcde5aad95cb6a05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91d154c1e087e383dcde5aad95cb6a05">&#9670;&nbsp;</a></span>pushScopedMessage() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::pushScopedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a91d154c1e087e383dcde5aad95cb6a05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91d154c1e087e383dcde5aad95cb6a05">&#9670;&nbsp;</a></span>pushScopedMessage() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::pushScopedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4e152bc43dc0933684e31fa67a58195d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e152bc43dc0933684e31fa67a58195d">&#9670;&nbsp;</a></span>sectionEnded() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::sectionEnded </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SectionEndInfo.html">SectionEndInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>endInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4e152bc43dc0933684e31fa67a58195d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e152bc43dc0933684e31fa67a58195d">&#9670;&nbsp;</a></span>sectionEnded() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::sectionEnded </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SectionEndInfo.html">SectionEndInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>endInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afcc71eef8ca821ae132cced4a2be6988"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcc71eef8ca821ae132cced4a2be6988">&#9670;&nbsp;</a></span>sectionEndedEarly() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::sectionEndedEarly </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SectionEndInfo.html">SectionEndInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>endInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afcc71eef8ca821ae132cced4a2be6988"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcc71eef8ca821ae132cced4a2be6988">&#9670;&nbsp;</a></span>sectionEndedEarly() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Catch::IResultCapture::sectionEndedEarly </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SectionEndInfo.html">SectionEndInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>endInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b76ed52badcb64cf374202e12b81a03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b76ed52badcb64cf374202e12b81a03">&#9670;&nbsp;</a></span>sectionStarted() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IResultCapture::sectionStarted </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>sectionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Counts.html">Counts</a> &amp;&#160;</td>
          <td class="paramname"><em>assertions</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b76ed52badcb64cf374202e12b81a03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b76ed52badcb64cf374202e12b81a03">&#9670;&nbsp;</a></span>sectionStarted() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Catch::IResultCapture::sectionStarted </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1SectionInfo.html">SectionInfo</a> const &amp;&#160;</td>
          <td class="paramname"><em>sectionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Counts.html">Counts</a> &amp;&#160;</td>
          <td class="paramname"><em>assertions</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
